ApiKerberosInfo (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiKerberosInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiKerberosInfo

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiKerberosInfo
      extends Object

  Kerberos information of a Cluster or Cloudera Manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiKerberosInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiKerberosInfo` | `addDomainItem(String domainItem)`
    `ApiKerberosInfo` | `adminHost(String adminHost)`
    `ApiKerberosInfo` | `domain(List<String> domain)`
    `boolean` | `equals(Object o)`
    `String` | `getAdminHost()` Get adminHost
    `List<String>` | `getDomain()` Get domain
    `String` | `getKdcHost()` Get kdcHost
    `String` | `getKdcType()` Get kdcType
    `String` | `getKerberosRealm()` Get kerberosRealm
    `int` | `hashCode()`
    `Boolean` | `isKerberized()` Get kerberized
    `ApiKerberosInfo` | `kdcHost(String kdcHost)`
    `ApiKerberosInfo` | `kdcType(String kdcType)`
    `ApiKerberosInfo` | `kerberized(Boolean kerberized)`
    `ApiKerberosInfo` | `kerberosRealm(String kerberosRealm)`
    `void` | `setAdminHost(String adminHost)`
    `void` | `setDomain(List<String> domain)`
    `void` | `setKdcHost(String kdcHost)`
    `void` | `setKdcType(String kdcType)`
    `void` | `setKerberized(Boolean kerberized)`
    `void` | `setKerberosRealm(String kerberosRealm)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiKerberosInfo

          public ApiKerberosInfo()

  - ### Method Detail

    - #### kerberized

          public ApiKerberosInfo kerberized(Boolean kerberized)

    - #### isKerberized

          public Boolean isKerberized()

      Get kerberized
      Returns:
        kerberized

    - #### setKerberized

          public void setKerberized(Boolean kerberized)

    - #### kdcType

          public ApiKerberosInfo kdcType(String kdcType)

    - #### getKdcType

          public String getKdcType()

      Get kdcType
      Returns:
        kdcType

    - #### setKdcType

          public void setKdcType(String kdcType)

    - #### kerberosRealm

          public ApiKerberosInfo kerberosRealm(String kerberosRealm)

    - #### getKerberosRealm

          public String getKerberosRealm()

      Get kerberosRealm
      Returns:
        kerberosRealm

    - #### setKerberosRealm

          public void setKerberosRealm(String kerberosRealm)

    - #### kdcHost

          public ApiKerberosInfo kdcHost(String kdcHost)

    - #### getKdcHost

          public String getKdcHost()

      Get kdcHost
      Returns:
        kdcHost

    - #### setKdcHost

          public void setKdcHost(String kdcHost)

    - #### adminHost

          public ApiKerberosInfo adminHost(String adminHost)

    - #### getAdminHost

          public String getAdminHost()

      Get adminHost
      Returns:
        adminHost

    - #### setAdminHost

          public void setAdminHost(String adminHost)

    - #### domain

          public ApiKerberosInfo domain(List<String> domain)

    - #### addDomainItem

          public ApiKerberosInfo addDomainItem(String domainItem)

    - #### getDomain

          public List<String> getDomain()

      Get domain
      Returns:
        domain

    - #### setDomain

          public void setDomain(List<String> domain)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.